Inboxes
Update account branded email layout
Update or clear the account-scoped Liquid HTML layout used as the fallback for branded email replies.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
branded_email_layout
Update account branded email layout
curl --request PATCH \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/branded_email_layout \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"branded_email_layout": "<html><body>{{ content_for_layout }}</body></html>"
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/branded_email_layout"
payload = { "branded_email_layout": "<html><body>{{ content_for_layout }}</body></html>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({branded_email_layout: '<html><body>{{ content_for_layout }}</body></html>'})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/branded_email_layout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"branded_email_layout": "<html><body>{{ content_for_layout }}</body></html>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
application/json
Account-scoped Liquid HTML layout for branded email replies. Maximum length is 262,144 characters. Blank or null removes the account override.
Maximum string length:
262144Example:
"<html><body>{{ content_for_layout }}</body></html>"
Response
Success
Account-scoped Liquid HTML layout for branded email replies.
Example:
"<html><body>{{ content_for_layout }}</body></html>"
⌘I
Update account branded email layout

